# IRsStackPanelView Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | InitializeControl ([in] IRsViewNode *spViewNode)
HRESULT | Update (void)
HRESULT | GetViewNode ([out, retval] IRsViewNode **ppViewNode)
HRESULT | UpdateScrollBar (void)
HRESULT | SetScrollPosition ([in] UINT sbType,[in] int Pos)
HRESULT | GetScrollPosition ([in] UINT sbType,[out] int *pPos)
HRESULT | GetDockInfoInRect ([in] RECT currentRect,[in] POINT pntCursor,[in] IRsNode *pDockingNode,[out] BOOL *pOKToDock,[out] RECT *pDockRect,[out] BSTR *pDockCommand)

## Detailed Description

The IRsStackPanelView interface provides methods for work with stack panel view control.

## Member Function Documentation

HRESULT IRsStackPanelView::InitializeControl | ( | [in] IRsViewNode * | spViewNode | ) |

Initialize view control.

Parameters:

  | spViewNode | [in] Initial view window controlled by View Node.

HRESULT IRsStackPanelView::Update | ( | void |  | ) |

Update view control.

HRESULT IRsStackPanelView::GetViewNode | ( | [out, retval] IRsViewNode ** | ppViewNode | ) |

Call this method to retrieve attached view window controlled by View Node.

Returns:
  ppViewNode [out, retval] Pointer to attached view window controlled by View Node.

HRESULT IRsStackPanelView::UpdateScrollBar | ( | void |  | ) |

Update scroll bar properties of view control.

HRESULT IRsStackPanelView::SetScrollPosition | ( | [in] UINT | sbType,
|  | [in] int | Pos |
| ) |  |  |

Set scroll bar actual position.

Parameters:

  | sbType | [in] Scrollbar type can be SB_VERT (vertical)or SB_HORZ (horizontal) in dependency of scroll bar orientation.
  | Pos | [in] Specifies the new position of the scroll box. The position must be within the scrolling range. This is checked automatically.

HRESULT IRsStackPanelView::GetScrollPosition | ( | [in] UINT | sbType,
|  | [out] int * | pPos |
| ) |  |  |

Get scroll bar actual position.

Parameters:

  | sbType | [in] Scrollbar type can be SB_VERT (vertical)or SB_HORZ (horizontal) in dependency of scroll bar orientation.
  | pPos | [out] Specifies the current position of the scroll box if successful.

HRESULT IRsStackPanelView::GetDockInfoInRect | ( | [in] RECT | currentRect,
|  | [in] POINT | pntCursor,
|  | [in] IRsNode * | pDockingNode,
|  | [out] BOOL * | pOKToDock,
|  | [out] RECT * | pDockRect,
|  | [out] BSTR * | pDockCommand |
| ) |  |  |

Get dock info for docking node.

Parameters:

  | currentRect | [in] Rectangle of docking frame window in screen coordinates. Not used.
  | pntCursor | [in] Cursor position in screen coordinates.
  | pDockingNode | [in] Docking frame window node.
  | pDockRect | [out] Rectangle of panel under cursor. Or rectangle of stack view without panels. In virtual screen coordinates.
  | pOKToDock | [out] If docking is possible this pointer retrieve true, or false otherwise.
  | pDockRect | [out] .
  | pDockCommand | [out] Pointer retrieves command that should be executed for docking.

Returns:
  S_OK if found panel under cursor.

  S_FALSE if stack view is empty of there is no panel under cursor.